package OGDL::NativeParser;

use strict;
use warnings;
use Carp;

require Exporter;
use AutoLoader;

use OGDL::Graph;

our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use OGDL::NativeParser ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
);

our $VERSION = '0.01';

sub AUTOLOAD {
    # This AUTOLOAD is used to 'autoload' constants from the constant()
    # XS function.

    my $constname;
    our $AUTOLOAD;
    ($constname = $AUTOLOAD) =~ s/.*:://;
    croak "&OGDL::NativeParser::constant not defined" if $constname eq 'constant';
    my ($error, $val) = constant($constname);
    if ($error) { croak $error; }
    {
	no strict 'refs';
	# Fixed between 5.005_53 and 5.005_61
#XXX	if ($] >= 5.00561) {
#XXX	    *$AUTOLOAD = sub () { $val };
#XXX	}
#XXX	else {
	    *$AUTOLOAD = sub { $val };
#XXX	}
    }
    goto &$AUTOLOAD;
}

require XSLoader;
XSLoader::load('OGDL::NativeParser', $VERSION);

# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

OGDL::NativeParser - Perl interface to the C library ODGL parser

=head1 SYNOPSIS

  use OGDL::NativeParser;
  use OGDL::Graph;

  my $g = OGDL::NativeParser::load($filename);
  $g->print();

=head1 ABSTRACT

  This module is simply a wrapper to the very fast C library 
  version of the OGDL parser. 

=head1 DESCRIPTION

=head2 EXPORT

None by default.

=head1 SEE ALSO

http://ogdl.sourceforge.net

=head1 AUTHOR

Shaun Clowes

=head1 COPYRIGHT AND LICENSE

Copyright 2004 by Shaun Clowes

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself. 

=cut
